Debian Bug report logs - #604651
alsa-tools: Please add armhf support

version graph

Package: src:alsa-tools; Maintainer for src:alsa-tools is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 23 Nov 2010 11:42:01 UTC

Severity: important

Tags: patch

Fixed in version alsa-tools/1.0.23-4

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#604651; Package src:alsa-tools. (Tue, 23 Nov 2010 11:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 23 Nov 2010 11:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: alsa-tools: Please add armhf support
Date: Tue, 23 Nov 2010 14:43:12 +0000
[Message part 1 (text/plain, inline)]
Source: alsa-tools
Severity: wishlist
Tags: patch

Hi,

The armhf port has reached a very good state (at 87%) at debian-ports.org,
and I'm now mass-filing bug reports to packages for armhf support.
Most packages just have to add armhf in the architecture field. The complete
list is in http://wiki.debian.org/ArmHardFloatTodo

The package builds fine using the attached patch.

Please consider adding armhf support. :)

Regards

Konstantinos


-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[alsa-tools-armhf.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#604651; Package src:alsa-tools. (Tue, 23 Nov 2010 22:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 23 Nov 2010 22:57:12 GMT) Full text and rfc822 format available.

Message #10 received at 604651@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 604651@bugs.debian.org
Cc: contreol@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#604651: alsa-tools: Please add armhf support
Date: Tue, 23 Nov 2010 23:54:55 +0100
tags 604651 +pending
thanks

* Konstantinos Margaritis [101123 14:43 +0000]:
> Source: alsa-tools
> Severity: wishlist
> Tags: patch


-- 
  "Talking much about oneself can also 
   be a means to conceal oneself."
         -Friedrich Nietzsche




Added tag(s) pending. Request was from Elimar Riesebieter <riesebie@lxtec.de> to control@bugs.debian.org. (Tue, 23 Nov 2010 23:06:06 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'wishlist' Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 15:21:24 GMT) Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Mon, 18 Apr 2011 18:36:16 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Mon, 18 Apr 2011 18:36:16 GMT) Full text and rfc822 format available.

Message #19 received at 604651-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 604651-close@bugs.debian.org
Subject: Bug#604651: fixed in alsa-tools 1.0.23-4
Date: Mon, 18 Apr 2011 18:33:41 +0000
Source: alsa-tools
Source-Version: 1.0.23-4

We believe that the bug you reported is fixed in the latest version of
alsa-tools, which is due to be installed in the Debian FTP archive:

alsa-firmware-loaders_1.0.23-4_amd64.deb
  to contrib/a/alsa-tools/alsa-firmware-loaders_1.0.23-4_amd64.deb
alsa-tools-gui_1.0.23-4_amd64.deb
  to main/a/alsa-tools/alsa-tools-gui_1.0.23-4_amd64.deb
alsa-tools_1.0.23-4.debian.tar.bz2
  to main/a/alsa-tools/alsa-tools_1.0.23-4.debian.tar.bz2
alsa-tools_1.0.23-4.dsc
  to main/a/alsa-tools/alsa-tools_1.0.23-4.dsc
alsa-tools_1.0.23-4_amd64.deb
  to main/a/alsa-tools/alsa-tools_1.0.23-4_amd64.deb
ld10k1_1.0.23-4_amd64.deb
  to main/a/alsa-tools/ld10k1_1.0.23-4_amd64.deb
liblo10k1-0_1.0.23-4_amd64.deb
  to main/a/alsa-tools/liblo10k1-0_1.0.23-4_amd64.deb
liblo10k1-dev_1.0.23-4_amd64.deb
  to main/a/alsa-tools/liblo10k1-dev_1.0.23-4_amd64.deb
qlo10k1_1.0.23-4_amd64.deb
  to main/a/alsa-tools/qlo10k1_1.0.23-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604651@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 18 Apr 2011 19:57:56 +0200
Source: alsa-tools
Binary: alsa-tools alsa-tools-gui alsa-firmware-loaders ld10k1 liblo10k1-0 liblo10k1-dev qlo10k1
Architecture: source amd64
Version: 1.0.23-4
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 alsa-firmware-loaders - ALSA software loaders for specific hardware
 alsa-tools - Console based ALSA utilities for specific hardware
 alsa-tools-gui - GUI based ALSA utilities for specific hardware
 ld10k1     - ALSA emu10k1/2 patch loader
 liblo10k1-0 - ALSA emu10k1/2 patch-loader library
 liblo10k1-dev - ALSA emu10k1/2 patch-loader library development files
 qlo10k1    - ALSA ld10k1 utility
Closes: 604651
Changes: 
 alsa-tools (1.0.23-4) unstable; urgency=low
 .
   [ Elimar Riesebieter ]
   * Added armhf to the supported archs. (closes: #604651)
   * Bumped Standards-Version to 3.9.1. No changes
Checksums-Sha1: 
 b68d8b752b99990ee86634ea5a372892292764ec 1667 alsa-tools_1.0.23-4.dsc
 fe56f92466d3c7a287d5ac9f75a3174960627574 28656 alsa-tools_1.0.23-4.debian.tar.bz2
 7704819232474a1efbb5b152bdedb44b6f5232f5 90058 alsa-tools_1.0.23-4_amd64.deb
 36c205ae0048037f8af64112a7499536ebd6f87a 276484 alsa-tools-gui_1.0.23-4_amd64.deb
 a68380da241ff8a0d749f78276af364ab72f5fd0 35582 alsa-firmware-loaders_1.0.23-4_amd64.deb
 c1d6bd69d4f0807185abafad34cd611c75b506e7 113860 ld10k1_1.0.23-4_amd64.deb
 615a7220659e681682db4492144eb3a50ca420c6 34710 liblo10k1-0_1.0.23-4_amd64.deb
 d4afba81669e2c7b925831f4347c444171b96dec 42010 liblo10k1-dev_1.0.23-4_amd64.deb
 a9f5eef3f4f42def502db7a797750c5d01b1c086 142500 qlo10k1_1.0.23-4_amd64.deb
Checksums-Sha256: 
 6a97f9a386f359238325a587d47741ab1dc85ec50ce9fcf2c0e46f5ef7a823fc 1667 alsa-tools_1.0.23-4.dsc
 ce61b874d2220545c8794fc411baef9dff8c65d2df1b8afe297af1506cb6aead 28656 alsa-tools_1.0.23-4.debian.tar.bz2
 4ba04fd25e2f72b58fbc3674e3136a7c4f711205fabb7e6f9d3f7304e9e415b0 90058 alsa-tools_1.0.23-4_amd64.deb
 d7491d0bc173dc73c2cf8fce8ea6569fada9a8d08ae619c41cb2a7efd09d835f 276484 alsa-tools-gui_1.0.23-4_amd64.deb
 c440881a67c8f45f16059eb074151137e34a4ee073a43149db4b58e274339a7b 35582 alsa-firmware-loaders_1.0.23-4_amd64.deb
 7ed8cbf64a650cbea84552e54bda556d7085a4a4162c590355f5b8ddde7cbbdc 113860 ld10k1_1.0.23-4_amd64.deb
 b11996e83689fb41092727cd0fac92c67b012ea0a3fd5f9a90eba545a115e689 34710 liblo10k1-0_1.0.23-4_amd64.deb
 918fe9e8469461f4b50e8260cd7bc8e22bf64a21b338f2f8ab18236455087c44 42010 liblo10k1-dev_1.0.23-4_amd64.deb
 adac847d2f30dde7919c627684351974ef1397d0e926247575d722d37179af42 142500 qlo10k1_1.0.23-4_amd64.deb
Files: 
 30f289b29266fb3079be77345cee2aba 1667 sound extra alsa-tools_1.0.23-4.dsc
 5dcc77493a0537a72fcc47ff97020aaf 28656 sound extra alsa-tools_1.0.23-4.debian.tar.bz2
 a6b80d54f34fb8e72eeeb409fd17c14b 90058 sound extra alsa-tools_1.0.23-4_amd64.deb
 52f77c111b521e774452b815bfd6311b 276484 sound extra alsa-tools-gui_1.0.23-4_amd64.deb
 24fa47dd2f0b6730efa9be18d0d05b58 35582 contrib/sound extra alsa-firmware-loaders_1.0.23-4_amd64.deb
 a0f63a9fd990808153e2fff4bdace024 113860 sound extra ld10k1_1.0.23-4_amd64.deb
 bc983a138d8346044d49c4142896b396 34710 libs extra liblo10k1-0_1.0.23-4_amd64.deb
 fb7d2f051bb3379c1c61bf3c0662c726 42010 libdevel extra liblo10k1-dev_1.0.23-4_amd64.deb
 eab8affb663046b0c62010e479a2fe91 142500 sound extra qlo10k1_1.0.23-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2sgMgACgkQJYSUupF6Il5M2gCgsJil9+a73QO9IeLWYB3TndDG
pI4AnRqTXNRGk1onEzbbghHycS+3SVuZ
=X+re
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 Jun 2011 07:39:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:27:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.